import React from 'react';
import type { DeviceRow, I18nText } from '../../../model';
import './DeviceInfoPanel.less';
declare type GetText = (key: string) => string;
interface DeviceInfoPanelProps {
    record: DeviceRow;
    getText: GetText;
    translation: (val?: I18nText) => string;
}
declare const DeviceInfoPanel: React.FC<DeviceInfoPanelProps>;
export default DeviceInfoPanel;
